import Vue from "vue";
import App from "./App.vue";
import router from "./router";
import store from "./store";

import globalVuePlugins from "@/plugins/globalVuePlugins";
import GLOBAL from "@/config";
import "@/plugins/axios";
import "@/plugins/filters";
import "@/plugins/VueCharts";

import VueLocalStorage from "vue-ls";
import ElementUI from "element-ui";
import "element-ui/lib/theme-chalk/index.css";
import "./assets/styles/index.scss";

Vue.use(ElementUI, { size: "medium" });
Vue.use(VueLocalStorage, { storage: "session" });
Vue.use(globalVuePlugins);

Vue.prototype.GLOBAL = GLOBAL;
Vue.config.productionTip = false;

new Vue({
  router,
  store,
  render: h => h(App)
}).$mount("#app");
